Skip to main content
GET
/
v1
/
companies
/
facts
/
tickers
Bulk company facts by ticker
curl --request GET \
  --url https://api.ivory.finance/v1/companies/facts/tickers \
  --header 'X-API-Key: <api-key>'
[
  {
    "id": "<string>",
    "cik": "<string>",
    "external_id": "<string>",
    "external_id_type": "<string>",
    "country_code": "<string>",
    "company_name": "<string>",
    "ticker": "<string>",
    "exchange": "<string>",
    "sector": "<string>",
    "industry": "<string>",
    "sic_code": "<string>",
    "sic_industry": "<string>",
    "sic_sector": "<string>",
    "category": "<string>",
    "is_active": true,
    "listing_date": "2023-12-25",
    "location": "<string>",
    "market_cap": 123,
    "number_of_employees": 123,
    "sec_filings_url": "<string>",
    "website_url": "<string>",
    "weighted_average_shares": 123,
    "events": null,
    "logo_url": "<string>",
    "initials": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

tickers
string[]
required

One or more tickers (repeat param or comma-separated)

Response

Successful Response

id
string | null
cik
string | null
external_id
string | null
external_id_type
string | null
country_code
string | null
company_name
string | null
ticker
string | null
exchange
string | null
sector
string | null
industry
string | null
sic_code
string | null
sic_industry
string | null
sic_sector
string | null
category
string | null
is_active
boolean | null
listing_date
string<date> | null
location
string | null
market_cap
number | null
number_of_employees
integer | null
sec_filings_url
string | null
website_url
string | null
weighted_average_shares
number | null
events
unknown
logo_url
string | null
initials
string | null